cascading.management.annotation

## Enum Visibility

- java.lang.Object
- - java.lang.Enum<Visibility>
  - - cascading.management.annotation.Visibility

- All Implemented Interfaces:
    Serializable, Comparable<Visibility>

      public enum Visibility
      extends Enum<Visibility>

  Visibility controls whether a certain `Property` is visible to a certain audience.

- `PRIVATE` - recommended that only a developer or team/project member have access to the value
- `PROTECTED` - recommended for interested and authorized parties
- `PUBLIC` - recommended for use as general purpose information

Note `Tap.getIdentifier()` defines the `Sanitizer` implementation `URISanitizer` which attempts to cleanse the URI identifier for each of the above visibilities.

It is up to the implementation of a `DocumentService` to interpret and use these values.

Cascading does not enforce any restrictions related to the values, they are considered informative.

To prevent serialization of any value via the registered `DocumentService`, do not mark a field with the Property annotation, or configure the service appropriately.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `PRIVATE`
    `PROTECTED`
    `PUBLIC`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Visibility` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Visibility[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### PRIVATE

          public static final Visibility PRIVATE

    - #### PROTECTED

          public static final Visibility PROTECTED

    - #### PUBLIC

          public static final Visibility PUBLIC

  - ### Method Detail

    - #### values

          public static Visibility[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Visibility c : Visibility.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Visibility valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2007-2015 Concurrent, Inc. All Rights Reserved.